

local function doCombatWithEntity(ai, e)
    local changed = false
    if e ~= 0 and ai.combatEntity == 0 then
        ai:cb("combatStart", e)
        changed = true
    elseif e == 0 and ai.combatEntity ~= 0 then
        ai:cb("combatStop", e)
        changed = true
    end
    
    if e ~= 0 then
        entity_setDeathScene(e, true) -- need to know when it dies
    end
    
    ai.combatEntity = e
    return changed
end





rawset(_G, "_ai_doCombatWithEntity", doCombatWithEntity)
