
v.init = function(me)
    --loadSound("mia-appear")
    --loadSound("mia-scream")
end



v.cutscene = function(force)
    fade2(1, 0, 0, 0, 0) -- start black, and make sure the screen does not fade in
    
    v.cutscene = v.cutscene2
    v.delay = 1 -- start next part in 1 second
end


v.cutscene2 = function(force)
    local n = getNaija()
    local start = getNode("naijastart")
    entity_setPosition(n, node_getPosition(start)) -- just in case
    
    setCutscene(1, 1)
    overrideZoom(0.8, 0.5)
    entity_animate(n, "sleep", LOOP_INF)
    
    setCameraLerpDelay(0)
    cam_setPosition(node_getPosition(getNode("camstart")))
    watch(FRAME_TIME)
    setCameraLerpDelay(3)
    cam_toEntity(n)
    
    watch(1)
    fade2(0, 3, 0, 0, 0) -- fade to normal
    entity_rotate(n, 0)
    watch(5)
    
    entity_animate(n, "slowwakeup")
    
    while entity_isAnimating(n) do
        watch(FRAME_TIME)
    end
    overrideZoom(0)
    setCameraLerpDelay(0)
    
    setCutscene(0)
    
    -- weird, had a rotation of -180 when skipping the cutscene, this fixes it
    -- WHAT, STILL NOT WTF
    entity_rotate(n, 0)
    watch(FRAME_TIME)
    entity_rotate(n, 0)
    
    return true
end