
dofile("scripts/inc_timerqueue.lua")

v.glowq = 0

function init(me)
	
	setupBasicEntity(me, 
	"",								-- texture
	32,								-- health
	1,								-- manaballamount
	1,								-- exp
	1,								-- money
	28,								-- collideRadius (only used if hit entities is on)
	STATE_IDLE,						-- initState
	64,								-- sprite width	
	64,								-- sprite height
	1,								-- particle "explosion" type, maps to particleEffects.txt -1 = none
	1,								-- 0/1 hit other entities off/on (uses collideRadius)
	-1							-- updateCull -1: disabled, default: 4000
	)
	
	entity_initSkeletal(me, "Naija")
	entity_setDeathParticleEffect(me, "TinyGreenExplode")
	
	entity_scale(me, 0.5, 0.5)

	v.bone_fish2 = entity_getBoneByName(me, "Fish2")
	v.bone_glow = entity_getBoneByName(me, "DualFormGlow")
	bone_alpha(v.bone_fish2, 0)
	bone_alpha(v.bone_glow, 0)
    
    v.bone_head = entity_getBoneByName(me, "Head")
    bone_setTexture(v.bone_head, "naija/naija2-head-blink")
    
    entity_setAllDamageTargets(me, false)
	entity_setEntityType(me, ET_NEUTRAL)
	entity_setBeautyFlip(me, false)
    
    v.glowq = createQuad("softglow")
    quad_color(v.glowq, 0.95, 0.45, 0.08)
    quad_alpha(v.glowq, 0)
    quad_scale(v.glowq, 1, 1)
    quad_scale(v.glowq, 2, 2, 1, -1, 1)
end


function postInit(me)
    entity_idle(me)
    entity_animate(me, "deadfloat2", LOOP_INF)
end

function shiftWorlds(me, old, new)
end

function song(me, song)
end

function update(me, dt)
    local x, y = entity_getPosition(me)
    local ox, oy = entity_getOffset(me)
    quad_setPosition(v.glowq, x+ox, y+oy)
    v.updateTQ(dt)
end

local function glowPulse()
    quad_alpha(v.glowq, 0.4)
    quad_alpha(v.glowq, 0.5, 2, -1, 1)
end

local function stopGlow()
    quad_alpha(v.glowq, 0, 2)
end

function msg(me, s, x)
    if s == "glowon" then
        quad_alpha(v.glowq, 0.4, 1)
        v.pushTQ(1, glowPulse)
    elseif s == "glowoff" then
        stopGlow()
    end
end

function damage(me, attacker, bone, damageType, dmg)
	return false
end

function enterState(me, state)
end

function exitState(me)
end

function hitSurface(me)
end

function msg(me, msg, val)
end

function songNote(me, note)
end

function songNoteDone(me, note, len)
end
