
function init(me)
	
	setupBasicEntity(me, 
	"",								-- texture
	32,								-- health
	1,								-- manaballamount
	1,								-- exp
	1,								-- money
	28,								-- collideRadius (only used if hit entities is on)
	STATE_IDLE,						-- initState
	64,								-- sprite width	
	64,								-- sprite height
	1,								-- particle "explosion" type, maps to particleEffects.txt -1 = none
	1,								-- 0/1 hit other entities off/on (uses collideRadius)
	4000							-- updateCull -1: disabled, default: 4000
	)
	
	entity_initSkeletal(me, "Li")
	entity_setDeathParticleEffect(me, "TinyGreenExplode")
	
	entity_scale(me, 0.5, 0.5)

	v.bone_helmet = entity_getBoneByName(me, "Helmet")
	v.bone_head = entity_getBoneByName(me, "Head")
	v.bone_fish1 = entity_getBoneByName(me, "Fish1")
	v.bone_fish2 = entity_getBoneByName(me, "Fish2")
	v.bone_hand = entity_getBoneByName(me, "RightArm")
	v.bone_arm = entity_getBoneByName(me, "RightArm2")
	v.bone_weaponGlow = entity_getBoneByName(me, "WeaponGlow")
	bone_setBlendType(v.bone_weaponGlow, BLEND_ADD)
	bone_alpha(v.bone_fish1)
	bone_alpha(v.bone_fish2)
    bone_alpha(v.bone_helmet, 0) -- FG: HACK for now
	
	v.bone_llarm = entity_getBoneByName(me, "LLArm")
	v.bone_ularm = entity_getBoneByName(me, "ULArm")
	v.bone_leftHand = entity_getBoneByName(me, "LeftArm")
    
    entity_setAllDamageTargets(me, false)

	
	entity_setEntityType(me, ET_NEUTRAL)

	--entity_setSpiritFreeze(me, false)
	
	entity_setBeautyFlip(me, false)
	

	
	--entity_setRenderPass(me, 1)

end


function postInit(me)
    entity_idle(me)
end

function shiftWorlds(me, old, new)
end

function song(me, song)
end

function update(me, dt)
end

function damage(me, attacker, bone, damageType, dmg)
	return false
end

function enterState(me, state)
end

function exitState(me)
end

function hitSurface(me)
end

function msg(me, msg, val)
end

function songNote(me, note)
end

function songNoteDone(me, note, len)
end
