if not v then v = {} end

local Common = {} -- "class" def here!


Common.init = function()

    dofile("scripts/inc_globaloverrides.lua")
    
    if isFlag(FLAG_MOD_INITED, 0) then
        pickupGem("Naija-Token", 1)
        
        learnSong(SONG_BIND)
        learnSong(SONG_SHIELD)
        learnSong(SONG_ENERGYFORM)
        learnSong(SONG_SPIRITFORM)
        learnSong(SONG_NATUREFORM)
        learnSong(SONG_BEASTFORM)
        learnSong(SONG_FISHFORM)
        learnSong(SONG_LIGHTFORM)
    
        setFlag(FLAG_UPGRADE_WOK, 1)
        
        -- each health upgrade gives +0.5 health
        -- 10 health is max
        v.setNumFlag("Naija_maxhp", 5)     -- missing 5   hp => 10 upgrades possible
        v.setNumFlag("Elena_maxhp", 7.5)   -- missing 2.5 hp => 5 upgrades possible
        v.setNumFlag("Li_maxhp", 4.5)      -- missing 5.5 hp => 11 upgrades possible
        v.setNumFlag("Lucien_maxhp", 3)    -- missing 7   hp => 14 upgrades possible
                                           --> grand total: 40 upgrades possible
        
        --setFlag(FLAG_CHAR_NAIJA, CHARSTATE_FORCE) -- start out as Naija.
        setFlag(FLAG_CHAR_NAIJA, CHARSTATE_PLAYABLE) -- start out as Naija.
        --setFlag(FLAG_CHAR_LI, CHARSTATE_ELSEWHERE)
        --setFlag(FLAG_CHAR_ELENA, CHARSTATE_ELSEWHERE)
        --setFlag(FLAG_CHAR_LUCIEN, CHARSTATE_ELSEWHERE)
        --setFlag(FLAG_CHAR_KROTITE, CHARSTATE_ELSEWHERE)
        
        
        -- debug data -- FIXME later.
        local d = "return { x=3333, y=3333, map=\"crtest\" }"
        
        setStringFlag("Naija_data", d)
        setStringFlag("Li_data", d)
        setStringFlag("Elena_data", "return { x=3393, y=3343, map=\"crtest\" }")
        setStringFlag("Lucien_data", d)
        setStringFlag("Krotite_data", d)
        setStringFlag("Lucien_data", d)
    end
    
    createEntity("logichelp_songmgr")
    
    
end

Common.postInit = function()
    setFlag(FLAG_MOD_INITED, 1)
end
    

Common.update = function(dt)
end


v.logic.common = Common
