if not v then v = {} end

local ENERGY2_CHARGE_TIME = 3

local Energy2 = {} -- "class" def here!

Energy2.tcharge = 0
Energy2.charged = false
Energy2.cursor = 0

Energy2.chargeEffT = 0

local function doCharge()

end

local function finishCharge()
    Energy2.charged = true
    local x, y = entity_getPosition(getNaija())
    spawnParticleEffect("hellbeastshothit2", x, y)
    spawnParticleEffect("priestexplode", x, y)
    playVisualEffect(VFX_RIPPLE, x, y)
    playSfx("powerup")
end

local function releaseCharge()
    Energy2.charged = false
    
    local np = v.calcNaijaPower(true) --Energy2.powtimer --v.calcNaijaPower()
    local sh, snd
    local target = nil
    
    local shots = 3 + (12 * np)
    if np < 0.57 then
        sh = "energytendril"
        snd = "energy"
    else
        sh = "energytendril2"
        snd = "bossdiebig"
    end
    
    if np >= 0.05 then
        target = Energy2.cursor
    end
    
    local maxa = 2 * 3.14159
    local step = maxa / shots
    local n = getNaija()
    local a =  step / 2 -- little offset so the shots fill in the gaps between the default energy shots
    for i = 1,shots do
        local s = createShot(sh, n, target)
        shot_setAimVector(s, math.sin(a), math.cos(a))
        a = a + step
    end
    
    playSfx(snd, 0, 1.5)
    
    --setGameSpeed(0.2)
    --setGameSpeed(1, 2)
        
end

Energy2.init = function()
    Energy2.cursor = v.cursor
    loadSound("bossdiebig")
end

Energy2.postInit = function()
    -- re-hook function to be called only when naija is currently active
    table.insert(v.chars[CHAR_NAIJA].updatefuncs, Energy2.update)
    v.logic.energy2 = nil
end

Energy2.powtimer = 0
Energy2.power = 0
    

Energy2.update = function(dt)

    if getFlag(FLAG_HAS_ENERGY2) == 0 then
        return
    end
    
    if not isForm(FORM_ENERGY) then
        Energy2.tcharge = 0 -- prevent "storing" energy by switching to other form and later back
        Energy2.charged = false
        return
    end
    
    if Energy2.powtimer < dt then
        Energy2.power = v.calcNaijaPower()
        Energy2.powtimer = 1
    else
        Energy2.powtimer = Energy2.powtimer - dt
    end
    
    if Energy2.power <= 0 then
        return
    end
    
    local c = avatar_getSpellCharge()
    
    if c == 0 then
        if Energy2.tcharge >= ENERGY2_CHARGE_TIME then
            releaseCharge()
        end
    elseif c < ENERGY2_CHARGE_TIME then
        doCharge()
    else
        if not Energy2.charged then
            finishCharge()
        end
    end
    
    Energy2.tcharge = c
    
    -- power charge effect
    if Energy2.chargeEffT < dt then
        Energy2.chargeEffT = 0.15
        
        if isForm(FORM_ENERGY) and c > 0  then
            local lvl = 0
            if c > 1.5 and Energy2.power > 0.3 then lvl = lvl + 1 end
            if c >= ENERGY2_CHARGE_TIME then lvl = lvl + 1 end
            if lvl > 0 then
                spawnParticleEffect("energypower" .. lvl, entity_getPosition(v.n))
            end
        end
    else
        Energy2.chargeEffT = Energy2.chargeEffT - dt
    end
    
end


v.logic.energy2 = Energy2
