-- handles naija beeing trapped in the crystal and serves as visual indicator.
-- 

dofile("scripts/inc_flags.lua")

v.traparea = 0
v.n = 0

function init(me)
	setupEntity(me)
	entity_setEntityType(me, ET_NEUTRAL)
	entity_initSkeletal(me, "naija")
	entity_setState(me, STATE_IDLE)
	
	entity_scale(me, 0.5, 0.5)
    
    esetv(me, EV_LOOKAT, 1)
    entity_setAllDamageTargets(me, false)
	
	-- hide fish and spirit
	bone_alpha(entity_getBoneByName(me, "DualFormGlow"), 0)
	bone_alpha(entity_getBoneByName(me, "Fish2"), 0)
    
    entity_setSpiritFreeze(me, false) -- keep updating
    
	entity_animate(me, "frozen", -1, 4)
    
    if getFlag(FLAG_NAIJA_IN_CRYSTAL) == 0 then
        entity_alpha(me, 0)
    else
        entity_alpha(me, 0.2)
    end
end

function postInit(me)
    v.traparea = entity_getNearestNode(me, "spiritbeacon")
    v.n = getNaija()
end

function update(me, dt)

end

function enterState(me)
end

function exitState(me)
end

function damage(me, attacker, bone, damageType, dmg)
	return false
end

function animationKey(me, key)
end

function hitSurface(me)
end

function songNote(me, note)
end

function songNoteDone(me, note)
end

function song(me, song)
end

function activate(me)
end

function shiftWorlds(me, old, new)
    if v.isDebug() or (isStory(STORY_NAIJA_MIAJAIL) and getFlag(FLAG_NAIJA_IN_CRYSTAL) == 0) then
        if old == WT_SPIRIT then
            if node_isEntityIn(v.traparea, v.n) then 
                debugLog("OK, could trap!")
                entity_alpha(me, 0.2)
                setFlag(FLAG_NAIJA_IN_CRYSTAL, 1) -- cutscene_miatrapsnaija2 will react to this
            else
                debugLog("Nope, not in.")
            end
        end
    end
end
