-- used on map volcano02

-- own node flag:
-- 0 = crystal is there
-- 1 = crystal was destroyed or no crystal

-- TODO: use a flag to turn them off, or something


local FIZZ_COUNT = 8

local CULLDIST = 1300 -- see node_powerline.lua

v.switch = 0


v.t = 0

function init(me)
    v.switch = node_getNearestNode(me, "switch")
    if node_isFlag(me, 0) then
        node_setFlag(v.switch, 1) -- turn on light
    end
end

local function fizz(me) -- only horizontal for now
    local cx, cy = node_getPosition(me)
    local n = getNaija()
    local dx = math.abs(cx - entity_x(n))
    local dy = math.abs(cy - entity_y(n))
    if (dx + dy) * 0.5 > CULLDIST then
        return
    end

    local w, h = node_getSize(me)
    local halfx = w * 0.5
    local halfy = h * 0.5
    local x1 = (cx - halfx) * 100
    local x2 = (cx + halfx) * 100
    local y1 = (cy - halfy) * 100
    local y2 = (cy + halfy) * 100
    local x, y
    
    for i = 1, FIZZ_COUNT do
        x = math.random(x1, x2)
        y = math.random(y1, y2)
        spawnParticleEffect("jellyzapprezap", x / 100, y / 100)
    end
end

function update(me, dt)
    if v.t < dt then

        local status = node_isFlag(me, 0) -- stored state
        local e = node_getNearestEntity(me, "greencrystal")
        local cr = e ~= 0 and node_isEntityIn(me, e) -- actual state
        if status and not cr then
            node_setFlag(me, 1) -- was destroyed
            node_setFlag(v.switch, 0) -- turn off light
        elseif not status and cr then
            node_setFlag(me, 0)
            node_setFlag(v.switch, 1) -- turn on light 
            debugLog("crystalchargespecial: huh, its back, wtf") -- for debug
        end
        
        if cr then
            fizz(me)
            v.t = 0.2 + (math.random() * 0.5)
        end
    else
        v.t = v.t - dt
    end
    
end

function songNote(me, note)
end

function songNoteDone(me, note, done)
end
