if not v then v = {} end

dofile("scripts/inc_util.lua")
dofile("scripts/inc_flags.lua")

v.incut = false

v.t = 0
v.range = 0
v.me = 0


local function handleSuckIn(e, x)
    
    -- HACK: i have seen this happening, no idea how and why
    -- this fixes the problem, at least, and the node still works fine
    if not v then return end
    
    local me = v.me
    
    if node_isEntityIn(v.range, e) then
        local vx, vy = vector_normalize(v.makeVector(entity_x(e), entity_y(e), node_x(me), node_y(me)))
        --vx = vx * 900 * dt -- FIXME: should this be with or without dt ??
        --vy = vy * 900 * dt
        vx = vx * 30
        vy = vy * 30
        entity_addVel(e, vx, vy)
    end
    
    if not node_isEntityIn(me, e) then
        return
    end

    if e == getNaija() then
        if v.incut then return end
        v.incut = true
        playSfx("naijalow2")
        spawnParticleEffect("priestexplode", entity_getPosition(getNaija()))
        wait(0.5)
        playSfx("metalexplode")
        fade2(0,0,1,1,1)
        fade2(1, 0.2, 1,1,1)
        watch(1)
        fade2(1, 3, 0,0,0)
        watch(3)
        musicVolume(1, 5) -- just in case, there's a nomusic node over this that keeps the music muted after map trans
        
        if v.isDebug() then
            debugLog("vortex warp!")
        else
            loadMap("startdream")
        end
        fade2(0,5)
    else
        if entity_getHealth(e) > 0 then
            entity_damage(e, e, 999)
        end
    end
end


function init(me)
    v.me = me
    node_setCursorActivation(me, v.isDebug())
    spawnParticleEffect("vortex", node_getPosition(me))
    v.range = getNode("suckrange")
end

function update(me, dt)
    -- with timer it fails.. weird
    --if v.t < dt then
        v.forAllEntities(handleSuckIn, dt)
    --    v.t = 0.25
    --else
    --    v.t = v.t - dt
    --end
end

function songNote(me, note)
end

function songNoteDone(me, note, done)
end

function activate(me)
    v.incut = false
end