
if not v then v = {} end

dofile("scripts/inc_util.lua")

local LEFT = 0
local RIGHT = 1

v.needinit = true
v.ctr = 0
v.dir = LEFT

function init(me)
    local dir = node_getContent(me)
    if dir == "r" or dir == "right" then
        v.dir = RIGHT
    elseif dir == "l" or dir == "left" then
        v.dir = LEFT
    end
        
end

function v.filterInside(e, me)
    return node_isEntityIn(me, e)
end

function v.countAndFlip(e)
    v.ctr = v.ctr + 1
    if (not entity_isfh(e) and v.dir == RIGHT)
    or (entity_isfh(e) and v.dir == LEFT) then
        entity_fh(e)
    end
end

function update(me, dt)
    if v.needinit then
        v.needinit = false
        v.forAllEntities(v.countAndFlip, nil, v.filterInside, me)
        
        if v.ctr == 0 and v.isDebug() then
            centerText("WARNING: node_facing " .. node_getContent(me) .. " - no entity")
        end
    end
end

function songNote(me, note)
end

function songNoteDone(me, note, done)
end
