-- gear activation node
-- see geargeneric.lua
-- Usage: ga <node-to-activate> [<cooldown>]

if not v then v = {} end

v.nodename = 0
v.delay = 0
v.cantrigger = true
v.t = 0

function init(me)
    v.nodename  = node_getContent(me)
    v.delay = node_getAmount(me)
end

function activate(me, src)
    if v.cantrigger then
        v.cantrigger = false
        v.t = v.delay
        local node = node_getNearestNode(me, v.nodename)
        
        if node == 0 then
            debugLog("ERROR: gearactivate: no node " .. v.nodename)
        else
            debugLog("gear activate node " .. v.nodename)
            node_activate(node, src)
        end
    end
end

function update(me, dt)
    if v.t > 0 then
        v.t = v.t - dt
        if v.t <= 0 then
            v.cantrigger = true
        end
    end
end

function songNote(me, note)
end

function songNoteDone(me, note, done)
end
