
dofile("scripts/inc_flags.lua")

v.active = true

local function translateMapName(m)
    
    local ids =
    {
        [""] = 0
        ,startdream = 1020
        ,miajail = (3001)
        ,jailescape3 = (3001)
        ,jailescape2 = (3002)
        ,jailescape1 = (3002)
        ,jailveil = (3003)
        ,seaweed1 = (3004)
        ,seaweed2 = (3004)
        ,seaweedveil = (3005)
        ,river02 = (3006)
        ,crtest = (3007)
        ,dbg = (3007)
        ,volcano01 = (3008)
        ,volcano02 = (3008)
        ,openveil1 = (3011)
        -- TODO
    }

    local ok = true
    local mn
    local mi = ids[m]
    if mi and mi > 0 then
        mn = getStringBank(mi)
    end
    if not mn then
        ok = false
        mi = 0
        mn = "FIXME: Unknown map name (node_mapenter.lua)"
    end
    return ok, mi, mn
end

local function doTrigger()

    local ok, mapid, mapname = translateMapName(getMapName())
    local show = true
    
    if ok then
        local flag = "mapenter_" .. mapid
        local val = v.getNumFlag(flag)
        show = (val == 0)
        if show then
            v.setNumFlag(flag, 1)
        end
    end
    
    debugLog("mapenter(" .. mapid .. "): " .. mapname)
    
    if show then
        centerText(mapname)
    end
end

function init(me)
end

function update(me, dt)
    if v.active and node_isEntityIn(me, getNaija()) then
        doTrigger()
        v.active = false
    end
end

function songNote(me, note)
end

function songNoteDone(me, note, done)
end
