
if not v then v = {} end

v.active = false
v.mbtimer = 0

local function forAllE(f)
    local e = getFirstEntity()
    while e ~= 0 do
        f(e)
        e = getNextEntity()
    end
end

local function blurAllE()
    forAllE(entity_enableMotionBlur)
end

local function unblurAllE()
    forAllE(entity_disableMotionBlur)
end

function init(me)
	node_setCursorActivation(me, true)
    v.n = getNaija()
end
	
function activate(me)
	entity_enableMotionBlur(v.n)
    blurAllE()
    v.mbtimer = 10
    v.active = true
    shakeCamera(10,0.3)
end

function update(me, dt)
    if v.active then
        if v.mbtimer < dt then
            v.mbtimer = 0
            v.active = false
            entity_disableMotionBlur(v.n)
            unblurAllE()
            shakeCamera(10,0.1)
        else
            v.mbtimer = v.mbtimer - dt
        end
    end
        
end
