if not v then v = {} end

dofile("scripts/inc_flags.lua")

v.needinit = true
v.txt = ""
v.q = 0
v.q2 = 0
v.on = false

function init(me)
    v.txt = node_getName(me)
    v.on = v.isDebug()
    node_setCursorActivation(me, v.on)
end

function update(me, dt)
    if v.on then
        if v.needinit then
            v.needinit = false
            v.q = createQuad("fish")
            quad_scale(v.q, 2.5, 2.5)
            quad_scale(v.q, 5, 5, 0.8, -1, 1)
            quad_rotate(v.q, 360, 3, -1)
            
            v.q2 = createQuad("Naija/LightFormGlow", 13)
            quad_scale(v.q2, 10, 10)
            quad_color(v.q2, 1, 0.2, 0.2)
        end
        
        local x, y = node_getPosition(me)
        quad_setPosition(v.q, x, y)
        quad_setPosition(v.q2, x, y)
    end
end

function activate(me)
    if v.on then
        setControlHint(v.txt, false, false, false, 5, "youngli/head-shock")
        playSfx("bbbounce")
    end
end

function songNote(me, note)
end

function songNoteDone(me, note, done)
end
