
local function _getEntity(this)
    if not this.entity or this.entity == 0 then
        debugLog(this.name .. " create entity: " .. this.entityname)
        this.entity = createEntity(this.entityname)
        if not this.me or this.me == 0 then
            this.me = this.entity
        end
    end
    return this.entity
end

local function _isActive(this)
    return this.id == getFlag(FLAG_CURRENT_CHAR)
end


function v.createChar()
    return {
        id = -1
        ,name = "ERROR"
        ,me = 0 -- for costume-changes getNaija(), or the controlled entity if 
        ,entity = 0 -- always controlled entity
        ,flag = 0
        ,entityname = "ERROR"
        ,getEntity = _getEntity
        ,isActive = _isActive
    }
end
