
local Li = v.createChar()

local SHOT_TIME = 0.5

Li.id = CHAR_LI
Li.name = "Li"
Li.flag = FLAG_CHAR_LI
Li.entityname = "li_dumb" -- FIXME: should be the original Li script


Li.shottimer = 0

-----------------------------------------------------------------------

Li.init = function()
    
    Li.updatefuncs = {}
    
end


Li.postInit = function()
    --if not Li.me or Li.me == 0 then
    --    Li.me = v.n
    --else
    --    v.initHealth(Li)
    --end
end

Li.start = function()
    if v.isDebug() then
        entity_alpha(v.n, 0.3)
        avatar_toggleCape(false)
    else
        entity_alpha(v.n, 0.001)
    end
    
    avatar_setBlockSinging(true)
    setCanChangeForm(false)

    entity_alpha(Li.entity, 1)
end

Li.save = function()

end

Li.stop = function()

end

local function zap()
    local me = Li.me

    local mx, my = getMouseWorldPos()
    local x = mx - entity_x(me)
    local y = my - entity_y(me)
    local targ = v.getNearestEntityToCursor(nil, 400, ET_ENEMY, DT_AVATAR_LANCE, me) -- TODO: finetune this!
    if targ == 0 then
        targ = v.getNearestEntityToCursor(nil, 400, nil, DT_AVATAR_LANCE, me)
    end
    if targ ~= 0 and v.isDebugVis() then
        entity_doGlint(targ, "Particles/PurpleFlare")
    end
    local s = createShot("liplayer", me, targ)
    shot_setAimVector(s, x, y)
    
    entity_animate(me, "fire", 0, LAYER_UPPERBODY)
    
end


Li.update = function(dt)
    for _,f in pairs(Li.updatefuncs) do
        f(dt)
    end
    
    -- li can't grab onto walls
    avatar_fallOffWall()
    
    local rmb = isRightMouse()
    
    if Li.shottimer > 0 then
        Li.shottimer = Li.shottimer - dt
    end
    
    if rmb and getNodeToActivate() == 0 then -- do not shoot when saving, for example
        if Li.shottimer <= 0 then
            zap()
            Li.shottimer = SHOT_TIME
        end
    end
    
    
    
end


v.chars[CHAR_LI] = Li
