
v.delay = 1

v.init = function(me)

    local e = createEntity("blowupvolcano", "", node_getPosition(me))
    
    loadSound("quakeloop2")
    loadSound("bossdiebig")
    loadSound("bossdiesmall")
end

local function boom(more)
    local c = 30
    local vol = 1.2
    if more then
        c = 60
        vol = 2
    end
    if chance(c) then
        if chance(50) then
            playSfx("bossdiesmall", 0, vol)
        else
            playSfx("bossdiebig", 0, vol)
        end
    end
end

v.cutscene = function(force)
    
    if getFlag(FLAG_BLOWUP_VOLCANO) == 0 then
        if not force then
            return nil
        end
    end
    
    local n = getNaija()
    local out = getNode("camout")
    local start = getNode("camstart")
    
    fadeOutMusic(2)
    
    setCameraLerpDelay(0.1)
    cam_toNode(start)
    setGameSpeed(0.2, 0.3)
    watch(0.5)
    entity_playSfx(n, "naijagasp")
    setGameSpeed(1, 2)
    watch(0.2)
    
    setCameraLerpDelay(3)
    cam_toNode(out)
    fade2(0,   0, 1, 0.3, 0)
    fade2(0.7, 4, 1, 0.3, 0)
    local quake = playSfx("quakeloop2", 0, 2.5, -1)
    
    for i = 1,7 do
        shakeCamera(i * 7, 3)
        watch(0.2)
        boom(false)
    end
    
    -- something else here ?
    
    for i = 7,20 do
        shakeCamera(i * 8, 3)
        watch(0.2)
        boom(true)
    end
        
    
    fadeSfx(quake, 2)
    
    if v.isDebug() then
        setFlag(FLAG_BLOWUP_VOLCANO, 0)
        setCameraLerpDelay(0)
        cam_toEntity(n)
        fade2(0, 0, 0, 0, 0)
        updateMusic()
        return false
    end
    
    fade2(0, 7, 1, 0.3, 0)
    entity_setHealth(n, 0)
    
    return true
end
