
v.delay = 0

v.area = 0
v.mia = 0


v.init = function(me)
    --loadSound("mia-appear")
    --loadSound("mia-scream")
end



v.cutscene = function(force)
    
    if not isStory(STORY_NAIJA_MIAJAIL) then
    --    debugLog("miajaildeath: not right storypoint")
        if not force then
            return false
        end
    end
    
    local n = getNaija()
    
    if entity_getHealth(n) > 0 and not force then
        return
    end
    
    debugLog("naija death scene start - mia rescue")
    
    --entity_animate(n, "dead")
    --entity_playSfx(n, "death")
    
    local naijastart = getNode("naijastart")
    local miastart = getNode("miastart")
    local naijabed = node_getNearestNode(naijastart, "sleep")
    
    --overrideZoom(1.2, 0.5)
    --setGameSpeed(0.6)
    --setGameSpeed(1, 1.5)
    
    fadeOutMusic(2)
    
    watch(1) -- this must not be too long, else real death kicks in 
    
    -- might be better to spawn to left if right is obstructed... who cares, eh
    
    local mx, my = entity_getPosition(n)
    mx = mx + 40 -- right
    
    spawnParticleEffect("spiritbeacon", mx, my)
    playSfx("spirit-return")
    watch(0.2)
    
    local mia = getEntity("mia")
    if mia ~= 0 then
        entity_setPosition(mia, mx, my)
    else
        mia = createEntity("mia", "", mx, my)
    end
    
    
    fadeOut(2)
    
    -- TODO: play some "helping" animation ?
    
    watch(1)
    
    entity_revive(n)
    cureAllStatus()
    
    spawnParticleEffect("spiritbeacon", mx, my)
    spawnParticleEffect("spiritbeacon", entity_getPosition(n))
    playSfx("spirit-return")
    watch(FRAME_TIME)
    playSfx("spirit-return")
    watch(0.2)
    entity_alpha(n, 0)
    entity_warpToNode(mia, miastart)
    
    watch(2)
    -- its dark now
    
    entity_warpToNode(n, naijabed)
    if not entity_isfh(n) then -- face right
        entity_fh(n)
    end
    entity_idle(n) -- HACK WTF
    if not isForm(FORM_NORMAL) then -- HACK for fish form + obs damage (it does not properly revert in that case and refuses to do so if trying earlier)
        changeForm(FORM_NORMAL)
    end
    entity_rotate(n, 0, 0.1)
    setNaijaHeadTexture("")
    setFlag(FLAG_BREAK_SLEEP, 2) -- force sleep
    node_activate(naijabed, n) -- sleep, but do not auto-heal
    entity_changeHealth(n, 0.2 - entity_getHealth(n))
    entity_alpha(n, 1)
    
    setCutscene(1, 1) -- <<---------------- FROM HERE WE CAN SKIP ------------<<
    
    watch(3)
    
    fadeIn(3)
    watch(5.5) -- sleeep
    
    -- wake up
    updateMusic()
    entity_playSfx(n, "visionwakeup")
    entity_idle(n)
    watch(1.2)
    
    emote(EMOTE_NAIJAUGH)
    setNaijaHeadTexture("shock")
    watch(0.5)
    entity_fh(n)
    watch(0.4)
    entity_fh(n)
    watch(0.3)

    
    watch(0.6)
    setNaijaHeadTexture("")
    watch(0.4)
    
    voice("miajaildeath")
    watchForVoice()
    watch(1)
    emote(EMOTE_NAIJASADSIGH)
    watch(0.75)
    
    setFlag(FLAG_BREAK_SLEEP, 2) -- force sleep
    node_activate(naijabed, n) -- sleep, but do not auto-heal
    watch(1.3)
    
    mx, my = entity_getPosition(mia)
    spawnParticleEffect("spiritbeacon", mx, my)
    playSfx("spirit-return")
    watch(0.2)
    entity_alpha(mia, 0)
    
    watch(4)
    entity_heal(n, 99)
    fadeIn(3)
    --watch(3)
    --setFlag(FLAG_BREAK_SLEEP, 0) -- no!
   
    -- continue forced sleep, until mia pops up
    
    setCutscene(0)
    
    entity_setState(n, STATE_SLEEP) -- HACK - ensure this is really set,
                                    -- otherwise we are screwed and get stuck in cutscene_miajailgoodmorning watch()
    
    
    -- this scene won't be triggered anymore, as the story moves on.
end
