
v.delay = 0

v.cutscene1 = function(force)
    
    if not isStory(STORY_NAIJA_MIAJAIL) then
        debugLog("miajailwakeup: not right storypoint")
        if not force then
            return false
        end
    end
    
    stopMusic()

    fade2(1, 0, 0, 0, 0) -- start black, and make sure the screen does not fade in
    
    
    v.cutscene = v.cutscene2
    v.delay = 1 -- start next part in 1 second
end

v.cutscene2 = function(force)

    local n = getNaija()
    local sleep = getNode("sleep")
    local mx, my = node_getPosition(getNode("miastart"))
    
    local mia = createEntity("mia", "", mx, my)
    
    setCostume("end")
    
    entity_setPosition(n, node_getPosition(sleep))
    
    if not entity_isfh(n) then -- ensure facing right (looks better)
        entity_fh(n)
    end
    entity_rotate(n, 0)
    entity_animate(n, "sleep", -1)
    
    watch(1)
    entity_rotate(n, 0) -- HAAAAACK
    fade2(0, 3, 0, 0, 0) -- fade to normal

    watch(5.5)
    playSfx("naijalow1", 0, 0.4)
    watch(1.1)
    
    entity_swimToNode(mia, getNode("miaout"))
    entity_watchForPath(mia)
    spawnParticleEffect("spiritbeacon", entity_getPosition(mia))
    entity_playSfx(mia, "spirit-return")
    watch(0.2)
    entity_delete(mia)
    watch(0.4)
    
    v.quickFlash(0.2)
    entity_idle(n)
    playSfx("VisionWakeup")
    watch(2)
    
    voice("miajailwakeup")
    watch(6)
    
    vision("firstmeetmia", 2, true)
    
    updateMusic()
    musicVolume(1, 6)
    
    v.cutscene = v.cutscene1
    
    return true
end

v.cutscene = v.cutscene1
