

v.delay = 1

v.init = function(me)
end

v.cutscene = function(force)
    
    if getFlag(FLAG_NAIJA_IN_CRYSTAL) == 0 then
        if not force then
            return nil
        end
    end
    
    fadeOutMusic(2)
    
    local n = getNaija()
    local ns = entity_getNearestEntity(n, "naijaspirit")
    
    local barrier = getNode("powerlinesvspecial")
    node_activate(barrier) -- turn on
    
    debugLog("miaTrapsNaija2")
    disableInput()
    
    setSceneColor(1,1,1,1)
    entity_rotate(n, 0, 0.1)
    
    fade2(1, 0, 1, 1, 1)
    watch(1.5)
    fade2(0, 4, 1, 1, 1)
    
    entity_animate(n, "energystruggle", 20) -- should take 4 secs here
    spawnParticleEffect("energygodspirithit", entity_x(n), entity_y(n))
    while entity_isAnimating(n) do
        setNaijaHeadTexture("pain")
        watch(FRAME_TIME)
    end
    
    playSfx("spirit-beacon")
    fade2(1, 0, 1, 1, 1)
    watch(1.5)
    
    fade2(0, 4, 1, 1, 1)
    
    entity_animate(n, "agony")
    watch(1)
    
    local animtime = 2
    entity_alpha(n, 0.7, animtime)
    entity_alpha(ns, 0.4, animtime)
    
    while entity_isAnimating(n) do
        watch(FRAME_TIME)
    end
    
    entity_alpha(n, 1, 2)
    entity_alpha(ns, 0.2, 2)
    
    entity_animate(n, "headpain", 5)
    fadeOut(5)
    while entity_isAnimating(n) do
        setNaijaHeadTexture("pain")
        watch(FRAME_TIME)
    end
    setNaijaHeadTexture("")
    
    voiceInterupt("lostmemoryagain")
    watchForVoice()
    watch(2)
    
    enableInput()
    
    if v.isDebug() then
        fadeIn(1)
    else
        v.doTransitionTo("naijalostmemoryagain")
    end
    
    return true
end
