
-- crystal effect table
-- included by logichelp_entitydeath.lua and greencrystal.lua

-- defining actual v.apply*CE functions is up to the includer

v.effdata[CE_POWER] =
{
    fxt = 0.13
    ,fx = "greenpower"
    ,func = v.applyPowerCE
    ,basetime = 20
    ,fadeMulti = 1
    ,incrPerHealth = 1.4
    ,madnessPerKill = 1.2
    ,maxtimer = 300
    ,entDeathEff = "powersuck"
    ,sfx = "dualform-charge"
    ,pe = "greenpowertrans"
}

v.effdata[CE_CURE] =
{
    fxt = 0.2
    ,fx = "creatorblasthit"
    ,func = v.applyCureCE
    ,basetime = 20
    ,fadeMulti = 0.955
    ,incrPerHealth = 1.2
    ,madnessPerKill = 0.7
    --,maxtimer = 180 -- limit is asymptotically reached due to fadeMulti < 1
    ,entDeathEff = "powersuck"
    ,sfx = "dualform"
    ,pe = "greenpowertrans"
}

v.effdata[CE_ECHO] =
{
    fxt = 0.4
    ,fx = "energyorbcharge"
    ,func = v.applyEchoCE
    ,basetime = -1
    ,fadeMulti = 0
    ,incrPerHealth = 0
    --,entDeathEff = nil
    --,sfx = nil
    --,pe = nil
}
