-- global scene transition jump table
-- used by node_trans.lua and some cutscene scripts
-- setStory() should be used HERE ONLY, to have max. overview about whats going on.
-- THE COMMENTS CONTAIN SPOILERS SO DON'T READ THEM


v._transtab = false

----- TRANS HANDLER FUNCTIONS -----

local function transDreamToJail()
    setStory(STORY_NAIJA_MIAJAIL)
    setCanChangeForm(true)
    loadMap("miajail")
end

local function transNaijaMiaJailOut()
    -- TODO: first, should warp to another scene where naija learns some stuff from mia?
    v.doTransitionTo("firsttimetoli")
end

local function transNaijaLostMemoryAgain()
    -- TODO: same as above, but more evil
    v.doTransitionTo("firsttimetoli")
end

local function transFirstTimeToLi()
    setStory(STORY_LI_SEARCHING_NAIJA)
    --setStringFlag("Li_data", "return { x=2383, y=6048, map=\"o.vedhacave\" }")
    --setFlag(FLAG_CHAR_LI, CHARSTATE_PLAYABLE)
    --setFlag(FLAG_CHAR_NAIJA, CHARSTATE_ELSEWHERE)
    --v.setCharacter(CHAR_LI, true)
    v.forcePlayCharacter(CHAR_LI)
    --loadMap("o.vedhacave")
    --warpAvatar("o.vedhacave", 2383, 6048)
    v.warpToMapAs("o.vedhacave", 2383, 6048, CHAR_LI, "Li")
end


----- MISC FUNCTIONS -----


local function initTransTab()
    if v._transtab then return end
    
    -- sorted in roughly chronological order.
    v._transtab =
    {
        dreamtojail = transDreamToJail, -- used in map startdream
        naijamiajailout = transNaijaMiaJailOut, -- when mia takes naija with her, jail escape unsuccessful
        naijalostmemoryagain = transNaijaLostMemoryAgain, -- when mia takes naija with her, after escaping, and having erased her memory
        firsttimetoli = transFirstTimeToLi, -- first transition to Li, when he's at home
    }
end



----- INTERFACE FUNCTIONS -------

function v.doTransitionTo(scene)
    initTransTab()
    local f = v._transtab[scene]
    if f then
        return f()
    else
        centerText("inc_transdata.lua: doTransitionTo(): Unknown scene name")
        return false
    end
end

function v.getTransitionFuncTo(scene)
    initTransTab()
    local f = v._transtab[scene]
    if f then
        return f
    else
        centerText("inc_transdata.lua: getTransitionFunctTo(): Unknown scene name")
        return function() end
    end
end
