-- handles naija beeing trapped in the crystal and serves as visual indicator.
-- 

dofile("scripts/inc_flags.lua")

v.n = 0

function init(me)
	setupEntity(me)
	entity_setEntityType(me, ET_NEUTRAL)
	entity_setTexture(me, "missingimage")
	entity_setState(me, STATE_IDLE)
    entity_scale(me, 1, 1)
    
    esetv(me, EV_LOOKAT, 0)
    entity_setAllDamageTargets(me, false)
    entity_setUpdateCull(me, -1)
    entity_setSpiritFreeze(me, false) -- keep updating
    entity_alpha(me, 0.001)
end

function postInit(me)
    v.n = getNaija()
end

function update(me, dt)
    entity_setPosition(me, entity_x(v.n), entity_y(v.n))
end

function enterState(me)
end

function exitState(me)
end

function damage(me, attacker, bone, damageType, dmg)
	return false
end

function animationKey(me, key)
end

function hitSurface(me)
end

function songNote(me, note)
end

function songNoteDone(me, note)
end

function song(me, song)
end

function activate(me)
end

function shiftWorlds(me, old, new)
    if old == WT_SPIRIT then
        local beacon = entity_getNearestNode(v.n, "spiritbeacon")
        if v.isDebug() or (beacon ~= 0 and node_isEntityIn(beacon, v.n)) then 
            debugLog("Elenaspirit: Phew, elena gets back some HP")
            entity_heal(v.n, 1.5)
        else
            debugLog("Elenaspirit: nope.")
            -- HMM: could also let her live but with very low HP -- but i think this is better
            entity_setHealth(v.n, 0)
            fade2(1,0, 1,1,1)
            fade2(0,5, 1,1,1)
        end
        setCanChangeForm(false)
        unlearnSong(SONG_SPIRITFORM)
        entity_delete(me)
    end
end