if not v then v = {} end

local IDLESCALE = 0.2
local MAXSCALE = 0.4

v.s = 0
v.q = 0
v.wasstory = false

function init(me)
    v.s = tonumber(node_getContent(me))
    if v.s then
        v.q = createQuad("particles/tripper")
        quad_setBlendType(v.q, BLEND_ADD)
        quad_setPosition(v.q, node_getPosition(me))
        quad_scale(v.q, IDLESCALE, IDLESCALE)
        v.wasstory = not isStory(v.s) -- for proper init
    end
end

function update(me, dt)
    if not v.s then return end
    
    local isstory = isStory(v.s)
    if isstory and not v.wasstory then
        quad_scale(v.q, MAXSCALE, MAXSCALE, 0.5, -1, 1)
        --quad_color(v.q, 0, 1, 0)
    elseif not isstory and v.wasstory then
        quad_scale(v.q, IDLESCALE, IDLESCALE, 0.5)
        --quad_color(v.q, 1, 0, 0)
    end
    
    if not isstory then
        if node_isEntityIn(me, getNaija()) then
            setStory(v.s)
            debugLog("Set story: " .. v.s)
        end
    end
    
    v.wasstory = isstory
end

function songNote(me, note)
end

function songNoteDone(me, note, done)
end
