
-- multiplex an activation to a number of proxy nodes nearby

if not v then v = {} end

dofile("scripts/inc_flags.lua")
dofile("scripts/inc_util.lua") -- for string.explode()

v.nodes = 0


function init(me)
    v.nodes = {}
    
    local c = node_getContent(me)
    local nlist = c:explode(".")
    
    for _, nn in pairs(nlist) do
        local node = node_getNearestNode(me, nn)
        if node ~= 0 and node_isPositionIn(me, node_x(node), node_y(node)) then
            debugLog("multiplex init: found node: " .. node_getName(node))
            v.nodes[node] = true
        else
            centerText("multiplex: could not find: " .. nn)
        end
    end
        
end

function update(me, dt)
end

function activate(me, e)
    for node, _ in pairs(v.nodes) do
        debugLog("multiplex to: " .. node_getName(node))
        node_activate(node, e)
    end
end

function songNote(me, note)
end

function songNoteDone(me, note, done)
end
