-- used on map nxtitle


local FIZZ_STEP_MIN = 50
local FIZZ_STEP_MAX = 60

v.t = 0
v.on = false
v.shocktimer = 0
v.y = 0

function init(me)
end

local function fizz(me, sel) -- only horizontal for now
    local w, h = node_getSize(me)
    local cx, cy = node_getPosition(me)
    local halfy = h * 0.5
    local yend = cy + halfy
    
    
    if v.y == 0 then
        v.y = cy - halfy
    end
    
    spawnParticleEffect("powerlinesv", cx, v.y)
    spawnParticleEffect("lancehit", cx, v.y)
    v.y = v.y + math.random(FIZZ_STEP_MIN, FIZZ_STEP_MAX)
    
    if v.y > yend then
        v.y = 0
    end

end

local function tryDealDamage(me, n)
    if node_isEntityIn(me, n) then
    	entity_clearVel(n)
        local w, h = node_getSize(me)
		local x, y
        
        emote(EMOTE_NAIJAUGH)
        entity_damage(n, n, 0.5)   
			
        x = entity_x(n) - node_x(me)
        y = 0
        
        x, y = vector_setLength(x, y, 16000)
		entity_setMaxSpeedLerp(n, 4)
		entity_setMaxSpeedLerp(n, 1, 4)
		entity_addVel(n, x, y)

        shakeCamera(20, 0.5)
        setGameSpeed(0.3)
        setGameSpeed(1, 1)
        
        playSfx("shield-hit", 0, 1.8)
		spawnParticleEffect("barrier-hit", entity_x(n), entity_y(n))
		spawnParticleEffect("lancehit", entity_x(n), entity_y(n))
        return true
    end
    return false
end

function update(me, dt)
    if v.t < dt then
        v.t = 0.05
        
        if v.on then
            fizz(me)
        end
    else
        v.t = v.t - dt
    end
    
    if v.on and tryDealDamage(me, getNaija()) then
        -- bzzrrzrzrzzzzz!
    end
end

function activate(me, ent)
    v.on = not v.on
end

function songNote(me, note)
end

function songNoteDone(me, note, done)
end

