
dofile("scripts/inc_flags.lua")

if not v then v = {} end

--v.entname = ""
--v.amount = 1

function init(me)

    local c = node_getContent(me)
    local story = node_getAmount(me)
    
    local flag
    
    if story == 0 and c ~= "" then
        flag = rawget(_G, c) -- ugly. prevent the undef'd global warning
        if flag then
            debugLog("prepawn: using global flag: " .. c)
        else
            flag = tonumber(c)
            debugLog("prepawn: using direct number flag: " .. c)
        end
    end
    
    --v.flag = flag
    --v.story = story
    
    if not flag then
        flag = ""
    end
    
    local data = node_getNearestNode(me, "setent")
    
    if data == 0 then
        centerText("ERROR: node_prespawn: no SETENT node!")
        return
    end
    
    local ent, amount
    ent = node_getContent(data)
    amount = node_getAmount(data)
    
    --v.entname = ent
    --v.amount = amount
    
    debugLog("prespawn: " .. amount .. "x " .. ent .. " flag: '" .. flag .. "' story: " .. story)
    
    if (story == 0 and not flag or flag == "")
    or (story > 0 and getStory() >= story)
    or (story < 0 and getStory() <= -story)
    or (type(flag) == "string" and #flag > 0 and v.getNumFlag(flag) ~= 0)
    or (type(flag) == "number" and getFlag(flag) ~= 0)
    then
        local x, y = node_getPosition(me)
        while amount > 0 do
            amount = amount - 1
            local e = createEntity(ent)
            entity_setPosition(e, x, y)
            debugLog("prespawn: spawned " .. entity_getName(e))
        end
    end
    
end

function update(me, dt)
end

function activate(me, e)
end

function songNote(me, note)
end

function songNoteDone(me, note, done)
end
