
v.n = 0
v.trigger = false -- should hold a trigger function

function v.commonInit(me)
    setupEntity(me)
    entity_setEntityType(me, ET_NEUTRAL) -- by making the entity neutral, normal shots won't target this
    entity_setTexture(me, "missingimage")
    
    if getFlag(FLAG_DBG_VISUALS) == 0 then
        entity_alpha(me, 0.001) -- setting this to 0.0 makes shots unable to follow it.
    end
    esetv(me, EV_LOOKAT, false)
    entity_setAllDamageTargets(me, false)
    entity_setUpdateCull(me, -1)
    entity_setCanLeaveWater(me, true)
    
    -- triggers are created in mid-game, so we can safely assume that everything is inited here.
    v.n = getNaija()
end


-- overridden if needed

function init(me)
    v.commonInit(me)
end

function postInit(me)
end

function update(me, dt)
    if v.trigger then
        v.trigger(me, dt)
    end
end

function enterState(me)
end

function exitState(me)
end

function msg(me, s, x)
    if s == "_resident" then -- used by logic_precache, to prevent opening and closing trigger scripts repeatedly
        v.trigger = false
    end
end

function damage(me, attacker, bone, damageType, dmg)
	return false
end

function animationKey(me, key)
end

function hitSurface(me)
end

function songNote(me, note)
end

function songNoteDone(me, note)
end

function song(me, song)
end

function activate(me)
end

